NX Open C++ Reference Guide
|
This builder allows you to define the pendulum placement information for bumper pendulum features in vehicle design. More...
Public Types | |
enum | LocationType { LocationTypeFront, LocationTypeRear } |
This enum represents the pendulum placement location options. More... | |
enum | PendulumProfileType { PendulumProfileTypeEu, PendulumProfileTypeUs } |
This enum represents the pendulum placement profile options. More... | |
enum | PositionMethodType { PositionMethodTypeMiddleBaseData, PositionMethodTypeMiddleVehicle, PositionMethodTypeRotatedBaseData, PositionMethodTypeRotatedPlane, PositionMethodTypeRotatedPlaneX, PositionMethodTypeRotatedPlaneNormal, PositionMethodTypeRotatedContact, PositionMethodTypeShiftedBaseData, PositionMethodTypeShiftedVehicle, PositionMethodTypeShiftedFromRotated } |
This enum represents the pendulum placement method options. More... | |
enum | SideType { SideTypeLeft, SideTypeRight } |
This enum represents the pendulum placement side options. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the rotation angle of this pendulum. | |
NXOpen::NXColor * | Color () |
Returns the display color of this pendulum. | |
NXOpen::Expression * | Level () |
Returns the reference level of this pendulum. | |
NXString | Loading () |
Returns the loading used with this pendulum. | |
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType | Location () |
Returns the location to use for positioning this pendulum. | |
NXString | Name () |
Returns the name of this pendulum. | |
NXOpen::Expression * | Offset () |
Returns the side offset of this pendulum. | |
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType | PendulumProfile () |
Returns the pendulum profile of this pendulum. | |
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType | PositionMethod () |
Returns the method to use for positioning this pendulum. | |
void | SetColor (NXOpen::NXColor *color) |
Sets the display color of this pendulum. | |
void | SetLoading (const NXString &loading) |
Sets the loading used with this pendulum. | |
void | SetLoading (const char *loading) |
Sets the loading used with this pendulum. | |
void | SetLocation (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType location) |
Sets the location to use for positioning this pendulum. | |
void | SetName (const NXString &name) |
Sets the name of this pendulum. | |
void | SetName (const char *name) |
Sets the name of this pendulum. | |
void | SetPendulumProfile (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType pendulumProfile) |
Sets the pendulum profile of this pendulum. | |
void | SetPositionMethod (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType positionMethod) |
Sets the method to use for positioning this pendulum. | |
void | SetShowPendulum (bool showPendulum) |
Sets the value indicating if this pendulum is displayed. | |
void | SetShowPoint (bool showPoint) |
Sets the value indicating if the contact point (if any) between this pendulum and the bumper is displayed. | |
void | SetSide (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType side) |
Sets the side to use for positioning this pendulum. | |
NXOpen::Expression * | Shift () |
Returns the expression containing the amount to shift the pendulum from the contact point on the car. | |
bool | ShowPendulum () |
Returns the value indicating if this pendulum is displayed. | |
bool | ShowPoint () |
Returns the value indicating if the contact point (if any) between this pendulum and the bumper is displayed. | |
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType | Side () |
Returns the side to use for positioning this pendulum. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This builder allows you to define the pendulum placement information for bumper pendulum features in vehicle design.
It represents @link Features::VehicleDesign::PendulumPlacementBuilder Features::VehicleDesign::PendulumPlacementBuilder@endlink <br> This class is sub-object of another builder, and cannot be directly instantiated. <br>
Created in NX8.5.0.
This enum represents the pendulum placement method options.
NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Angle | ( | ) |
Returns the rotation angle of this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::NXColor* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Color | ( | ) |
Returns the display color of this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Level | ( | ) |
Returns the reference level of this pendulum.
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Loading | ( | ) |
Returns the loading used with this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Location | ( | ) |
Returns the location to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Name | ( | ) |
Returns the name of this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Offset | ( | ) |
Returns the side offset of this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfile | ( | ) |
Returns the pendulum profile of this pendulum.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethod | ( | ) |
Returns the method to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetColor | ( | NXOpen::NXColor * | color | ) |
Sets the display color of this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
color | color |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLoading | ( | const NXString & | loading | ) |
Sets the loading used with this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
loading | loading |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLoading | ( | const char * | loading | ) |
Sets the loading used with this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
loading | loading |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLocation | ( | NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType | location | ) |
Sets the location to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
location | location |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetName | ( | const NXString & | name | ) |
Sets the name of this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
name | name |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetName | ( | const char * | name | ) |
Sets the name of this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
name | name |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetPendulumProfile | ( | NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType | pendulumProfile | ) |
Sets the pendulum profile of this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
pendulumProfile | pendulumprofile |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetPositionMethod | ( | NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType | positionMethod | ) |
Sets the method to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
positionMethod | positionmethod |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetShowPendulum | ( | bool | showPendulum | ) |
Sets the value indicating if this pendulum is displayed.
A value of false will hide this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
showPendulum | showpendulum |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetShowPoint | ( | bool | showPoint | ) |
Sets the value indicating if the contact point (if any) between this pendulum and the bumper is displayed.
A value of false will hide the contact point.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
showPoint | showpoint |
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetSide | ( | NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType | side | ) |
Sets the side to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : nx_general_packaging ("NX General Packaging")
side | side |
NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Shift | ( | ) |
Returns the expression containing the amount to shift the pendulum from the contact point on the car.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::ShowPendulum | ( | ) |
Returns the value indicating if this pendulum is displayed.
A value of false will hide this pendulum.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::ShowPoint | ( | ) |
Returns the value indicating if the contact point (if any) between this pendulum and the bumper is displayed.
A value of false will hide the contact point.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Side | ( | ) |
Returns the side to use for positioning this pendulum.
Created in NX8.5.0.
License requirements : None